Zercurity data services
  • Summary
  • Applications (7)
  • Packages (0)
  • Vulnerabilities (12)

linux-tools-4.10.0-30

Hashes
Linux kernel version specific tools for version 4.10.0-30 This package provides the architecture dependant parts for kernel version locked tools (such as perf and x86_energy_perf_policy) for version 4.10.0-30 on 64 bit x86. You probably want to install linux-tools-4.10.0-30-<flavour>.
  • SHA256: b3f5e8cfe645afcd47b23a571726a9920cb1b1347505b97241dc5567d795af35
  • SHA1: b845eaf356a4afd141c0e6e975f0f1f0c968ac5d
  • MD5: f8a03109ac4ef8d63a556de4531282aa
Information
  • Version: 4.10.0-30.34
  • Filename: linux-tools-4.10.0-30_4.10.0-30.34_amd64.deb
  • Size: 4729
  • Type: DEB
  • Source: linux
  • Architecture: AMD64
  • Owner: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
  • Dependencies: binutils (>= 2.28), binutils (<< 2.29), libaudit1 (>= 1:2.2.1), libc6 (>= 2.14), libdw1 (>= 0.157), libelf1 (>= 0.144), liblzma5 (>= 5.1.1alpha+20120614), libpci3 (>= 1:3.3.1-1), libslang2 (>= 2.2.4), libudev1 (>= 183), libunwind8, zlib1g (>= 1:1.1.4), linux-tools-common

Applications

NameTypeArchSizeRisk
libcpupower.so.4.10.0-30
/usr/lib/libcpupower.so.4.10.0-30
227040
usbip
/usr/lib/linux-tools-4.10.0-30/usbip
675440
turbostat
/usr/lib/linux-tools-4.10.0-30/turbostat
769040
cpupower
/usr/lib/linux-tools-4.10.0-30/cpupower
752240
perf
/usr/lib/linux-tools-4.10.0-30/perf
42916400
usbipd
/usr/lib/linux-tools-4.10.0-30/usbipd
554400
x86_energy_perf_policy
/usr/lib/linux-tools-4.10.0-30/x86_energy_perf_policy
101200

Vulnerabilities

Raw Object

{
  "sha256": "b3f5e8cfe645afcd47b23a571726a9920cb1b1347505b97241dc5567d795af35",
  "sha1": "b845eaf356a4afd141c0e6e975f0f1f0c968ac5d",
  "md5": "f8a03109ac4ef8d63a556de4531282aa",
  "type": "DEB",
  "arch": "AMD64",
  "name": "linux-tools-4.10.0-30",
  "filename": "linux-tools-4.10.0-30_4.10.0-30.34_amd64.deb",
  "size": 4729,
  "description": "Linux kernel version specific tools for version 4.10.0-30\nThis package provides the architecture dependant parts for kernel\nversion locked tools (such as perf and x86_energy_perf_policy) for\nversion 4.10.0-30 on\n64 bit x86.\nYou probably want to install linux-tools-4.10.0-30-<flavour>.",
  "url": null,
  "version": "4.10.0-30.34",
  "source": "linux",
  "owner": "Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>",
  "dependencies": "binutils (>= 2.28), binutils (<< 2.29), libaudit1 (>= 1:2.2.1), libc6 (>= 2.14), libdw1 (>= 0.157), libelf1 (>= 0.144), liblzma5 (>= 5.1.1alpha+20120614), libpci3 (>= 1:3.3.1-1), libslang2 (>= 2.2.4), libudev1 (>= 183), libunwind8, zlib1g (>= 1:1.1.4), linux-tools-common",
  "applications": [
    {
      "path": "/usr/lib/libcpupower.so.4.10.0-30",
      "sha256": "262d4b7a95289b5d8faf57891f8006a7316a8a4cf95ff53a303ea33d5e689f1f",
      "sha1": "212145a9053a41bf8368d895b075349fbc6d3782",
      "md5": "5ff73f50ea2bbc0ddb3f79eec93fd9a2",
      "name": "libcpupower.so.4.10.0-30",
      "size": 22704,
      "description": null,
      "package": 2834461,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-23T09:15:16+00:00",
      "updated_at": "2021-03-23T09:15:16+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-30/usbip",
      "sha256": "061fa096cddd446ff7f90a2aaca84f8926aaa325de6f8810492b8f27d7e2cc12",
      "sha1": "e5a1887c2722d7aca704951f3192649fc216fb23",
      "md5": "8eda5320d4e5bc9cfeb4a9bb042d7ca5",
      "name": "usbip",
      "size": 67544,
      "description": null,
      "package": 2834461,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-23T09:15:16+00:00",
      "updated_at": "2021-03-23T09:15:16+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-30/turbostat",
      "sha256": "c2d2611d054949debb51fc8c83e5295129da087abc89d07f7b6fbaa252494013",
      "sha1": "e1e83e6cbf767ef42ec264afc6113ee6e1b85a33",
      "md5": "66bfcec4def2812d64dd741579a05216",
      "name": "turbostat",
      "size": 76904,
      "description": null,
      "package": 2834461,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-23T09:15:16+00:00",
      "updated_at": "2021-03-23T09:15:16+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-30/cpupower",
      "sha256": "27d61314fdaa165fea6b30ae161d701c32169a32698d542079cda2d97a8b4e81",
      "sha1": "d06b381ff8cb38910d5262940925df453e673f38",
      "md5": "5ac49e23bbb2f483b655ce739825e7f6",
      "name": "cpupower",
      "size": 75224,
      "description": null,
      "package": 2834461,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-23T09:15:16+00:00",
      "updated_at": "2021-03-23T09:15:16+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-30/perf",
      "sha256": "2942e239f01f9c8881a7ca73157a84890ee7ea1af3c0d9dc1406ba10f0593de8",
      "sha1": "10ebcf36a4809c82de6a4cda2585bcb500922ce4",
      "md5": "5a4e5fecbdf2a8b9c5c699ad76e3d669",
      "name": "perf",
      "size": 4291640,
      "description": null,
      "package": 2834461,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-23T09:15:16+00:00",
      "updated_at": "2021-03-23T09:15:16+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-30/usbipd",
      "sha256": "b255aeeceefd3410303fca460ce738c8a084a9d557831ba825ac0840912890a2",
      "sha1": "a630c5ae955079e3c1df19eb67d0e72e2f6a231e",
      "md5": "4d08c6fc30753b03ea2e4c0918c963f6",
      "name": "usbipd",
      "size": 55440,
      "description": null,
      "package": 2834461,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-23T09:15:16+00:00",
      "updated_at": "2021-03-23T09:15:16+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-30/x86_energy_perf_policy",
      "sha256": "a1fde5179508a97ea6c72561f62cb4cb79256e246a713e669a2272ecd2c7f0ab",
      "sha1": "1c4992116acdbf8abbfff29880a9c785d12e65df",
      "md5": "7001c77386c24a5fcacab770a9b1c854",
      "name": "x86_energy_perf_policy",
      "size": 10120,
      "description": null,
      "package": 2834461,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-23T09:15:16+00:00",
      "updated_at": "2021-03-23T09:15:16+00:00",
      "deleted_at": null
    }
  ],
  "vulnerabilities": [
    {
      "name": "CVE-2017-1000111",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "febb319f3132f754206acb985eec148ee844ef5ca71c75d19f565bb0dbc7f270",
        "name": "linux-libc-dev",
        "version": "4.10.0-32.36",
        "filename": "linux-libc-dev_4.10.0-32.36_amd64.deb"
      },
      "created_at": "2021-10-16T04:02:04+00:00",
      "updated_at": "2021-10-16T04:02:04+00:00"
    },
    {
      "name": "CVE-2017-1000112",
      "risk": 70,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "e25a0ae545bcdece86e48400843b2d74dd9c1b69a00cff3603df0c047f14eab8",
        "name": "linux-doc",
        "version": "4.10.0-32.36",
        "filename": "linux-doc_4.10.0-32.36_all.deb"
      },
      "created_at": "2021-07-17T08:57:02+00:00",
      "updated_at": "2021-07-17T08:57:02+00:00"
    },
    {
      "name": "CVE-2017-1000111",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "e25a0ae545bcdece86e48400843b2d74dd9c1b69a00cff3603df0c047f14eab8",
        "name": "linux-doc",
        "version": "4.10.0-32.36",
        "filename": "linux-doc_4.10.0-32.36_all.deb"
      },
      "created_at": "2021-07-17T09:27:57+00:00",
      "updated_at": "2021-07-17T09:27:57+00:00"
    },
    {
      "name": "CVE-2017-1000111",
      "risk": 78,
      "source": "USN",
      "sid": "USN-3386-2",
      "fixed": null,
      "created_at": "2021-04-06T13:47:30+00:00",
      "updated_at": "2021-04-06T13:47:30+00:00"
    },
    {
      "name": "CVE-2017-1000112",
      "risk": 70,
      "source": "USN",
      "sid": "USN-3386-2",
      "fixed": null,
      "created_at": "2021-04-06T14:06:03+00:00",
      "updated_at": "2021-04-06T14:06:03+00:00"
    },
    {
      "name": "CVE-2017-1000112",
      "risk": 70,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "febb319f3132f754206acb985eec148ee844ef5ca71c75d19f565bb0dbc7f270",
        "name": "linux-libc-dev",
        "version": "4.10.0-32.36",
        "filename": "linux-libc-dev_4.10.0-32.36_amd64.deb"
      },
      "created_at": "2021-07-20T12:19:26+00:00",
      "updated_at": "2021-07-20T12:19:26+00:00"
    },
    {
      "name": "CVE-2017-1000112",
      "risk": 70,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "0d0bd59468c41d9f9fcc5fae598e14c4d5fcdfaf0313dc3a8bcc9a31eab250f5",
        "name": "linux-source-4.10.0",
        "version": "4.10.0-32.36",
        "filename": "linux-source-4.10.0_4.10.0-32.36_all.deb"
      },
      "created_at": "2023-02-15T15:33:23+00:00",
      "updated_at": "2023-02-15T15:33:23+00:00"
    },
    {
      "name": "CVE-2017-1000111",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "0d0bd59468c41d9f9fcc5fae598e14c4d5fcdfaf0313dc3a8bcc9a31eab250f5",
        "name": "linux-source-4.10.0",
        "version": "4.10.0-32.36",
        "filename": "linux-source-4.10.0_4.10.0-32.36_all.deb"
      },
      "created_at": "2023-02-15T15:59:36+00:00",
      "updated_at": "2023-02-15T15:59:36+00:00"
    },
    {
      "name": "CVE-2017-1000111",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "eac59e0df8eb67fff18fe39438dce0daddea39bec7b1307bc2cc557b896f5adb",
        "name": "linux-tools-common",
        "version": "4.10.0-32.36",
        "filename": "linux-tools-common_4.10.0-32.36_all.deb"
      },
      "created_at": "2023-06-03T08:27:20+00:00",
      "updated_at": "2023-06-03T08:27:20+00:00"
    },
    {
      "name": "CVE-2017-1000112",
      "risk": 70,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "eac59e0df8eb67fff18fe39438dce0daddea39bec7b1307bc2cc557b896f5adb",
        "name": "linux-tools-common",
        "version": "4.10.0-32.36",
        "filename": "linux-tools-common_4.10.0-32.36_all.deb"
      },
      "created_at": "2023-06-03T17:15:33+00:00",
      "updated_at": "2023-06-03T17:15:33+00:00"
    },
    {
      "name": "CVE-2017-1000111",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "459a09b17195723d5da4194801857b67142c9b8f19d72c4c2e2ba3a061eaabb2",
        "name": "linux-cloud-tools-common",
        "version": "4.10.0-32.36",
        "filename": "linux-cloud-tools-common_4.10.0-32.36_all.deb"
      },
      "created_at": "2023-06-22T14:13:00+00:00",
      "updated_at": "2023-06-22T14:13:00+00:00"
    },
    {
      "name": "CVE-2017-1000112",
      "risk": 70,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "459a09b17195723d5da4194801857b67142c9b8f19d72c4c2e2ba3a061eaabb2",
        "name": "linux-cloud-tools-common",
        "version": "4.10.0-32.36",
        "filename": "linux-cloud-tools-common_4.10.0-32.36_all.deb"
      },
      "created_at": "2023-06-22T15:24:00+00:00",
      "updated_at": "2023-06-22T15:24:00+00:00"
    }
  ],
  "risk": 78,
  "vulnerable": 78,
  "outdated": 0,
  "malicious": 0,
  "created_at": "2017-08-01T04:53:11+00:00",
  "updated_at": "2021-03-23T09:15:15+00:00",
  "deleted_at": null
}